Page MenuHomePhabricator

Bugs caught by mw.loader.inspect() (tracking)
Closed, ResolvedPublic

Description

A tracking bug for bugs caught by mw.loader.inspect(). Related: http://lists.wikimedia.org/pipermail/wikitech-l/2013-October/072378.html.

Details

Reference
bz55683

Related Objects

StatusAssignedTask
OpenNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedmatmarex
ResolvedNikerabbit
DuplicateNikerabbit
ResolvedNone
ResolvedNone
Resolvedsanthosh
DeclinedPginer-WMF
ResolvedAmire80
ResolvedAmire80
OpenNone
ResolvedNone
ResolvedNikerabbit
ResolvedNikerabbit
DeclinedNone
Resolvedsanthosh
Resolvedtomasz
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedbrion
DeclinedNone
ResolvedNone
Resolvedsanthosh
DeclinedNone
DeclinedNone
Resolvedsanthosh
Resolvedsanthosh
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedNone
Declinedsiebrand
Resolvedori
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNikerabbit
OpenNone
Resolvedsanthosh
ResolvedLegoktm

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:32 AM
bzimport set Reference to bz55683.
bzimport added a subscriber: Unknown Object (MLST).

(In reply to MZMcBride from comment #0)

A tracking bug for bugs caught by mw.loader.inspect(). Related:
http://lists.wikimedia.org/pipermail/wikitech-l/2013-October/072378.html.

Feature is still undocumented: https://www.mediawiki.org/w/index.php?title=Special:Search&search=%22mw.loader.inspect%28%29%3B%22&fulltext=Ricerca&profile=all
Lately I only get "undefined", am I doing something wrong?

(In reply to Nemo from comment #1)

Feature is still undocumented:
https://www.mediawiki.org/w/index.php?title=Special:Search&search=%22mw.
loader.inspect%28%29%3B%22&fulltext=Ricerca&profile=all
Lately I only get "undefined", am I doing something wrong?

Copying Ori.

ori added a comment.Jun 1 2014, 5:38 AM

(In reply to Nemo from comment #1)

(In reply to MZMcBride from comment #0)

A tracking bug for bugs caught by mw.loader.inspect(). Related:
http://lists.wikimedia.org/pipermail/wikitech-l/2013-October/072378.html.

Feature is still undocumented:
https://www.mediawiki.org/w/index.php?title=Special:Search&search=%22mw.
loader.inspect%28%29%3B%22&fulltext=Ricerca&profile=all
Lately I only get "undefined", am I doing something wrong?

mw.loader.inspect() is a function that prints to the console but doesn't return a value, so it evaluates to undefined. It's no different than console.log() in that way. I'm not sure why you're not getting the rest of the output, though. It works fine for me (just tested on Chrome 37, Firefox 32, Safari 7 on OS X). As for documentation, help? :)

Weird, I can't get it to work on Firefox 29.0.1 with or with extensions, logged in or not: I only get "ReferenceError: mw is not defined" as output.
But I tweaked some settings and it now works on Chromium, so it's not that important. I'll add some docs when I figure it out a bit more.

matmarex updated the task description. (Show Details)Dec 31 2014, 8:52 PM
matmarex edited projects, added MediaWiki-General; removed MediaWiki-JavaScript.
matmarex set Security to None.
matmarex removed a subscriber: Unknown Object (MLST).
Krinkle closed this task as Resolved.May 8 2019, 1:58 PM

Generic performance ideas and issues may be tracked under Performance-Team instead. For issues relating to WMF-maintained projects that the Performance Team is specifically pushing for, we use Performance-Team (Radar) instead.